summaryrefslogtreecommitdiffstats
path: root/wrappers/pwdhash.in
diff options
context:
space:
mode:
authorNathan Kinder <nkinder@redhat.com>2006-10-24 21:11:07 +0000
committerNathan Kinder <nkinder@redhat.com>2006-10-24 21:11:07 +0000
commitce5079cf2029b380efd95f2f6e17b98df22927e5 (patch)
tree79a0c3916b42e467906c4108a4ab17c3798623d2 /wrappers/pwdhash.in
parent8f97d86fd6c4a137b4188465c39787dd7b12c149 (diff)
downloadds-ce5079cf2029b380efd95f2f6e17b98df22927e5.tar.gz
ds-ce5079cf2029b380efd95f2f6e17b98df22927e5.tar.xz
ds-ce5079cf2029b380efd95f2f6e17b98df22927e5.zip
Resolves: 212038
Make configure create program wrapper scripts.
Diffstat (limited to 'wrappers/pwdhash.in')
-rwxr-xr-xwrappers/pwdhash.in58
1 files changed, 58 insertions, 0 deletions
diff --git a/wrappers/pwdhash.in b/wrappers/pwdhash.in
new file mode 100755
index 00000000..b6394521
--- /dev/null
+++ b/wrappers/pwdhash.in
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+###############################################################################
+## (1) Specify variables used by this script. ##
+###############################################################################
+
+LIB_DIR=@nss_libdir@:@nspr_libdir@:@ldapsdk_libdir@:@sasl_libdir@
+BIN_DIR=@prefix@@serverdir@
+COMMAND=pwdhash-bin
+
+
+###############################################################################
+## (2) Set the LD_LIBRARY_PATH environment variable to determine the ##
+## search order this command wrapper uses to find shared libraries. ##
+###############################################################################
+
+LD_LIBRARY_PATH=${LIB_DIR}
+export LD_LIBRARY_PATH
+
+
+###############################################################################
+## (3) Set the PATH environment variable to determine the search ##
+## order this command wrapper uses to find binary executables. ##
+## ##
+## NOTE: Since the wrappers themselves are ALWAYS located in ##
+## "/usr/bin", this directory will always be excluded ##
+## from the search path. Since "/bin" is nothing more ##
+## than a symbolic link to "/usr/bin" on Solaris, this ##
+## directory will also always be excluded from the search ##
+## path on this platform. ##
+###############################################################################
+
+PATH=${BIN_DIR}
+export PATH
+
+
+###############################################################################
+## (4) Execute the binary executable specified by this command wrapper ##
+## based upon the preset LD_LIBRARY_PATH and PATH environment variables.##
+###############################################################################
+
+ORIGINAL_IFS=${IFS}
+IFS=:
+
+for dir in ${PATH}
+do
+ if [ -x ${dir}/${COMMAND} ]
+ then
+ IFS=${ORIGINAL_IFS}
+ ${dir}/${COMMAND} "$@"
+ exit $?
+ fi
+done
+
+echo "Unable to find \"${COMMAND}\" in \"${PATH}\"!"
+
+exit 255
+